Subject: Re: Bug#406468: Please follow includes with bind-check-interval

From: Marc Haber <[email-masked]>
Date: Sat, 12 May 2012 10:15:03 +0200

tags #406468 upstream confirmed
forwarded #406468 http://wiki.powerdns.com/trac/ticket/469
thanks

On Thu, Jan 11, 2007 at 01:07:25PM +0100, Jeroen van Wolffelaar wrote:
> With using bind-check-interval, zones are automatically reloaded once
> their mtimes change. However, it's also possible to have $INCLUDE
> statements in a zonefile, and those are not chased. This means that one
> needs to touch the zone file itself to trigger a reload if you just
> change one of the included files.
> 
> It'd be nice if the bind backend would maintain a list of files that
> were read during parsing of a zone file, and monitor them all for
> changes. I do realize though that normally the master file would be
> updated anyway for the serial, but in certain in-house situations that
> is not otherwise required.

This is now upstream ticket #469.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 31958061
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 31958062